DashboardManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.server.session.DashboardManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.server.session
Class DashboardManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.ui.server.session.DashboardManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class DashboardManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Field Summary
`protected SessionManager` | `_manager`

Constructor Summary
`DashboardManagerEJBImpl()`

Method Summary
`void` | `configureDashboard(AuthzSubject me, DashboardConfig cfg, ConfigResponse newCfg)` Reconfigure a user's dashboard
`RoleDashboardConfig` | `createRoleDashboard(AuthzSubject me, Role r, java.lang.String name)`
`UserDashboardConfig` | `createUserDashboard(AuthzSubject me, AuthzSubject user, java.lang.String name)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.Collection` | `getDashboards(AuthzSubject me)`
`static org.hyperic.hq.ui.shared.DashboardManagerLocal` | `getOne()`
`RoleDashboardConfig` | `getRoleDashboard(AuthzSubject me, Role r)`
`ConfigResponse` | `getRssUserPreferences(java.lang.String user, java.lang.String token)`
`UserDashboardConfig` | `getUserDashboard(AuthzSubject me, AuthzSubject user)`
`void` | `handleResourceDelete(AppdefEntityID[] ids)` Update dashboard and user configs to account for resource deletion
`boolean` | `isEditable(AuthzSubject me, DashboardConfig dash)` Determine if a dashboard is editable by the passed user
`void` | `renameDashboard(AuthzSubject me, DashboardConfig cfg, java.lang.String name)`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `startup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _manager

    protected SessionManager _manager

Constructor Detail

### DashboardManagerEJBImpl

    public DashboardManagerEJBImpl()

Method Detail

### ejbCreate

    public void ejbCreate()

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### getUserDashboard

    public UserDashboardConfig getUserDashboard(AuthzSubject me,
                                                AuthzSubject user)
                                         throws PermissionException

  Throws:
    `PermissionException`

### getRoleDashboard

    public RoleDashboardConfig getRoleDashboard(AuthzSubject me,
                                                Role r)
                                         throws PermissionException

  Throws:
    `PermissionException`

### createUserDashboard

    public UserDashboardConfig createUserDashboard(AuthzSubject me,
                                                   AuthzSubject user,
                                                   java.lang.String name)
                                            throws PermissionException

  Throws:
    `PermissionException`

### createRoleDashboard

    public RoleDashboardConfig createRoleDashboard(AuthzSubject me,
                                                   Role r,
                                                   java.lang.String name)
                                            throws PermissionException

  Throws:
    `PermissionException`

### configureDashboard

    public void configureDashboard(AuthzSubject me,
                                   DashboardConfig cfg,
                                   ConfigResponse newCfg)
                            throws PermissionException

  Reconfigure a user's dashboard

  Throws:
    `PermissionException`

### renameDashboard

    public void renameDashboard(AuthzSubject me,
                                DashboardConfig cfg,
                                java.lang.String name)
                         throws PermissionException

  Throws:
    `PermissionException`

### isEditable

    public boolean isEditable(AuthzSubject me,
                              DashboardConfig dash)

  Determine if a dashboard is editable by the passed user

### getDashboards

    public java.util.Collection getDashboards(AuthzSubject me)
                                       throws PermissionException

  Throws:
    `PermissionException`

### handleResourceDelete

    public void handleResourceDelete(AppdefEntityID[] ids)

  Update dashboard and user configs to account for resource deletion

  Parameters:
    `ids` - An array of ID's of removed resources

### getRssUserPreferences

    public ConfigResponse getRssUserPreferences(java.lang.String user,
                                                java.lang.String token)
                                         throws javax.security.auth.login.LoginException

  Throws:
    `javax.security.auth.login.LoginException`

### startup

    public void startup()

### getOne

    public static org.hyperic.hq.ui.shared.DashboardManagerLocal getOne()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.